Pipeline Jobs API
Create and track conversion jobs in Vuframe® Pipeline (formerly Aura™ Jobs API).
vv1.0.0Download aura-jobs-api.yml
Aura™️ on Aura Rails
Servers
https://aura.vuframe.com/api/v1Production SmartVu API
Authentication
basicAuthHTTP basic
Endpoints
Jobs
Queue new Aura Job
POST/jobs
Authentication basicAuth
Queue new Aura Job
Request body required
Content type application/json
| Field | Type | Description |
|---|---|---|
source_url | string | Source AWS presigned URL |
assets_url | string | Assets AWS presigned URL |
job_type | string | Job Type |
callback_url | string | Callback URL |
update_callback_url | string | Update Callback URL |
owner_token | string | Studio Owner Token |
pipeline_config | ConfigObject | |
pipeline_config.api_version | number | API version |
pipeline_config.studio_owner_token | string | Studio Owner Token |
pipeline_config.main_file_name | string | Currently not implemented. Name of the main file. This option is needed to set the main file that includes other files within. We need this behavior for uploads of zip Archives (e.g. CATIA, Solidworks) |
pipeline_config.scale | number | Scale of 3D Model in float |
pipeline_config.rotate_x | number | X value of rotation in float |
pipeline_config.rotate_y | number | Y value of rotation in float |
pipeline_config.rotate_z | number | Z value of rotation in float |
pipeline_config.positioning_x | string | X value of positioning ("MIN|CENTER|MAX") |
pipeline_config.positioning_y | string | X value of positioning ("MIN|CENTER|MAX") |
pipeline_config.positioning_z | string | X value of positioning ("MIN|CENTER|MAX") |
pipeline_config.offset_x | number | X value of offset in meter (Unity standard) |
pipeline_config.offset_y | number | X value of offset in meter (Unity standard) |
pipeline_config.offset_z | number | X value of offset in meter (Unity standard) |
pipeline_config.flip_x | boolean | Should flip 3D model on X axis? |
pipeline_config.flip_y | boolean | Should flip 3D model on Y axis? |
pipeline_config.flip_z | boolean | Should flip 3D model on Z axis? |
pipeline_config.limit_uv_coordinates_for_seam | boolean | Limits the v-value for UV coordinates to 0.99 or lower for all objects whose name starts with the word "Seam". This is a customer-specific fix for Olymp. |
pipeline_config.environment_asset | object | |
pipeline_config.environment_asset.token | string | |
pipeline_config.environment_asset.uri | string | URI with AWS URI or file uri |
pipeline_config.addon_assets | array of object | |
pipeline_config.addon_assets[].token | string | |
pipeline_config.addon_assets[].uri | string | URI with AWS URI or file uri |
pipeline_config.ambient_occlusion | AmbientOcclusionObject | Ambient Occlusion Settings. Currently only available for frontend. |
pipeline_config.ambient_occlusion.enabled | boolean | Has Ambient Occlusion enabled? |
pipeline_config.ambient_occlusion.radius | number | Radius of Ambient Occlusion in float |
pipeline_config.ambient_occlusion.intensity | number | Intensity of Ambient Occlusion in float |
pipeline_config.hotspots | array of HotspotObject | |
pipeline_config.hotspots[].version | number | version of hotspot that describes the used Aura 3D / Hotspot Editor version |
pipeline_config.hotspots[].name | string | string-identifier <ist bei source UPLOAD oder GENERATED read-only> // bei EDITOR sluggified title |
pipeline_config.hotspots[].title | string | human-readable name |
pipeline_config.hotspots[].description | string | used sometimes in apps |
pipeline_config.hotspots[].path | string | /bla/blu/id <read-only> |
pipeline_config.hotspots[].source | string | UPLOAD, GENERATED, EDITOR <read-only> |
pipeline_config.hotspots[].source_resource_version | number | version number of resource in which the hotspots was added |
pipeline_config.hotspots[].changed_in_editor | boolean | true|false |
pipeline_config.hotspots[].removed | boolean | true|false |
pipeline_config.hotspots[].removed_by | string | <from_resource,in_editor> |
pipeline_config.hotspots[].position | XYZObject | |
pipeline_config.hotspots[].position.x | number | X float |
pipeline_config.hotspots[].position.y | number | Y float |
pipeline_config.hotspots[].position.z | number | Z float |
pipeline_config.hotspots[].rotation | XYZObject | |
pipeline_config.hotspots[].rotation.x | number | X float |
pipeline_config.hotspots[].rotation.y | number | Y float |
pipeline_config.hotspots[].rotation.z | number | Z float |
pipeline_config.hotspots[].is_billboard | boolean | Is billboarding activated? This will overwrite rotation if set to true. Default: false. |
pipeline_config.hotspots[].type | string | EGO | EVENT |
pipeline_config.hotspots[].texture | string | <image item token> |
pipeline_config.hotspots[].color | string | r,g.b,a | hex |
pipeline_config.hotspots[].size | number | float |
pipeline_config.ground_shadow | boolean | Should ground shadows get created? Default: false. |
pipeline_config.generate_shadow | string | Options for shadow generation. Only included in Frontend. One of: "off", "floor_shadow_only", "full_shadow". Default: "off". |
pipeline_config.uv_generation | string | Options for UV generation. Only included in Frontend. One of: "off", "missing_only", "force". Default: "off". |
pipeline_config.pipeline_optimization | boolean | Enables pipeline optimization. Default: false. |
Example
{
"source_url": "string",
"assets_url": "string",
"job_type": "string",
"callback_url": "string",
"update_callback_url": "string",
"owner_token": "string",
"pipeline_config": {
"api_version": 0,
"studio_owner_token": "string",
"main_file_name": "string",
"scale": 0,
"rotate_x": 0,
"rotate_y": 0,
"rotate_z": 0,
"positioning_x": "string",
"positioning_y": "string",
"positioning_z": "string",
"offset_x": 0,
"offset_y": 0,
"offset_z": 0,
"flip_x": true,
"flip_y": true,
"flip_z": true,
"limit_uv_coordinates_for_seam": true,
"environment_asset": {
"token": "string",
"uri": "string"
},
"addon_assets": [
{
"token": "string",
"uri": "string"
}
],
"ambient_occlusion": {
"enabled": true,
"radius": 0,
"intensity": 0
},
"hotspots": [
{
"version": 0,
"name": "string",
"title": "string",
"description": "string",
"path": "string",
"source": "string",
"source_resource_version": 0,
"changed_in_editor": true,
"removed": true,
"removed_by": "string",
"position": {
"x": 0,
"y": 0,
"z": 0
},
"rotation": {
"x": 0,
"y": 0,
"z": 0
},
"is_billboard": false,
"type": "string",
"texture": "string",
"color": "string",
"size": 0
}
],
"ground_shadow": false,
"generate_shadow": "off",
"uv_generation": "off",
"pipeline_optimization": false
}
}Responses
204successful operation
No body.
405Invalid input
No body.
Example request
curl -X POST "https://aura.vuframe.com/api/v1/jobs" \
-u "USER:PASSWORD" \
-H "Content-Type: application/json" \
-d '{"source_url":"string","assets_url":"string","job_type":"string","callback_url":"string","update_callback_url":"string","owner_token":"string","pipeline_config":{"api_version":0,"studio_owner_token":"string","main_file_name":"string","scale":0,"rotate_x":0,"rotate_y":0,"rotate_z":0,"positioning_x":"string","positioning_y":"string","positioning_z":"string","offset_x":0,"offset_y":0,"offset_z":0,"flip_x":true,"flip_y":true,"flip_z":true,"limit_uv_coordinates_for_seam":true,"environment_asset":{"token":"string","uri":"string"},"addon_assets":[{"token":"string","uri":"string"}],"ambient_occlusion":{"enabled":true,"radius":0,"intensity":0},"hotspots":[{"version":0,"name":"string","title":"string","description":"string","path":"string","source":"string","source_resource_version":0,"changed_in_editor":true,"removed":true,"removed_by":"string","position":{"x":0,"y":0,"z":0},"rotation":{"x":0,"y":0,"z":0},"is_billboard":false,"type":"string","texture":"string","color":"string","size":0}],"ground_shadow":false,"generate_shadow":"off","uv_generation":"off","pipeline_optimization":false}}'